Skip to main content
GET
/
v2
/
integrations
/
tsps
List Integrations Per Tsp
curl --request GET \
  --url https://api.catenatelematics.com/v2/integrations/tsps
{
  "items": [
    {
      "implemented_count": 2,
      "integrations": {
        "hos_event": "not_supported",
        "user": "not_implemented",
        "vehicle": "implemented",
        "vehicle_location": "implemented"
      },
      "not_implemented_count": 1,
      "not_supported_count": 1,
      "slug": "eroad-us",
      "source_name": "eroad",
      "tsp_id": "00000000-0000-0000-0000-000000000001"
    }
  ],
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
TspIntegrationsRead · object[]
required
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page